%define pkgname rbogl
Summary:	OpenGL module for Ruby
Summary(pl.UTF-8):	Moduł OpenGL dla Ruby
Name:		ruby-%{pkgname}
Version:	0.32g
Release:	7
License:	GPL
Group:		Development/Languages
Source0:	http://www2.giganet.net/~yoshi/%{pkgname}-%{version}.tar.gz
# Source0-md5:	0832d08a87ebb16f6d4e30459a5019f0
Patch0:		%{name}-ruby1.9.patch
URL:		http://www2.giganet.net/~yoshi/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel >= 1:1.8.6
BuildRequires:	ruby-modules
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
OpenGL module for Ruby.

%description -l pl.UTF-8
Moduł OpenGL dla Ruby.

%prep
%setup -q -n opengl-%{version}
%patch0 -p1

%build
%{__ruby} extconf.rb \
	--vendor

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.EUC ChangeLog
%attr(755,root,root) %{ruby_vendorarchdir}/glut.so
%attr(755,root,root) %{ruby_vendorarchdir}/opengl.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rbogl.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 0a00504
- release 7 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 58b9281
- rebuild with ruby 2.4
- release 6 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> a0cc3c6
- rebuild with ruby 2.3
- release 5 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 3551829
- ruby 2.1 rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 2d89502
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 4b66d9d
- build to vendor dir

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 10e93c3
- obsolete/outdated

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 07fac9f
- fix building with ruby 1.9

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> addf4d4
- updated to 0.32g
- updated BR
- removed outdated/obsolete patches

* Wed Feb 24 2010 sparky <sparky@pld-linux.org> 8bcccea
- BR: OpenGL-glut-devel, xorg-lib-libXmu-devel

* Mon Jan 07 2008 Elan Ruusamäe <glen@pld-linux.org> ff66d18
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b8a29f3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0137bb
- converted to UTF-8

* Sun Jan 01 2006 twittner <twittner@pld-linux.org> ced7c5d
- fixed ruby-rbogl-extconf.patch (/usr/X11R6/lib":String (NoMethodError) error)
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 5, STBR

* Sun Jan 01 2006 twittner <twittner@pld-linux.org> 925537c
- fixed /usr/X11R6/lib":String (NoMethodError) error

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 138767f
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 855bdba
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> a8eabcf
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> e8465c4
- use system ruby macros
- cleanups, corrections, cosmetics

* Sun Mar 27 2005 havner <havner@pld-linux.org> 09ca6c9
- rel 3

